Subject: RE: Openssh client under X
From: "Gen Zhang" <[email-masked]>
To: <[email-masked]>
Cc: "Jacob A" <[email-masked]>
Date: Sun, 20 Oct 2002 21:11:54 +0100

Try 'ssh -X'. With all capitalisations.

Hope that helps.

Genneth.

-----Original Message-----
From: Jacob A [mailto:[email-masked]] 
Sent: 20 October 2002 21:06
To: [email-masked]
Subject: Re: Openssh client under X

Thanx for the input!

I believe "ssh -x" is the default behaviour, but even when I say -x I
get
the same symptoms.

What really confuses me is that it all works like a charm if I run:

$ ssh <ip-address of host I want to connect to here>

...without starting X. (i.e click on the "cygwin icon"
(C:\cygwin\cygwin.bat) -- and start an interactive shell (bash) in the
cygwin environment.

But, if I start X, (which I do with 'startx') -- and then open up an
xterm
and fire away the same command ($ ssh <ip-addr>), I get connected but
thrown out right away. I mean, I'm running the same binary -- what could
be different? This leads me to believe that the problem could NOT be on
the server side, it must be my cygwin that does _something_ differently
when I run the Xserver.

Does this work for you? Can you use ssh to login to a remote host from
an
xterm running in cygwin/XFree????

Again - I am not primarly interested in "tunneling X" -- I know how that
works -- the problem is connecting with ssh at all.

Any more thoughts?

(again, I'm not subscribing to the list... please email me).

/Jay

----------------------------------------
"what we do in life echoes in eternity."
               - Maximus Decimus Meridus

On Sun, 20 Oct 2002, Igor Pechtchanski wrote:

> Umm, how embarrassing...  I got confused between OpenSSH and SSH
Secure
> Shell.  Apologies to all.
>
> Jay,
>
> ssh has a special mode where it forwards X requests over the ssh
> connection.  It's called X forwarding, and is enabled by either the -X
> command line option or a special entry in ~/.ssh/config (I forget
exactly
> which, it's easily found out from the man page).  If the special entry
is
> present, ssh will attempt to set up X forwarding, *but only if DISPLAY
is
> set*.  That was the reason I asked about the DISPLAY setting.
>
> You can try running ssh as 'ssh -x', which disables X forwarding
> regardless of the config file.  If all you need is to run tty mode
> programs on the server, or if your machine is reachable and open to X
> packets from the server, that should be sufficient.  If 'ssh -x'
works,
> you could then edit the config file and comment out the
EnableXForwarding
> (or smth like that) line.
>
> If you do need to tunnel X packets through ssh when running X, you'll
need
> to debug this further.  The message I mentioned might be of help then.
> 	Igor
>
> On Sun, 20 Oct 2002, Jacob A wrote:
>
> > ok.
> >
> > maybe my last post was somewhat unclear.
> >
> > What I want is to be able to run is:
> >
> > $ ssh user@host
> >
> > ...from an xterm window under cygwin/XFree86. Whenever I try that,
it
> > connects, and then disconnects right after I get connected. If I run
ssh
> > from cygwin without running X, it works like a charm. Correct me if
I am
> > wrong, but the DISPLAY variable should have nothing to do with this.
> > All I want is to login on the other machine.
> >
> > ssh -v -v -v tells me "channel 0 is dead" _after_ I type in the
password.
> > My .profile runs on the remote machine, and then I get disconnected.
Very
> > frustrating.
> >
> > Why does it work if I dont run X?
> >
> > I would like to test connecting to an ssh server with ssh -D. But I
can't
> > where I am running this.
> >
> > Noone else has come across this problem?
> >
> > uh, again - I am not a subscriber to the list, so please mail me if
you
> > think you know whats going on here.
> >
> > /jay.
> >
> > ----------------------------------------
> > "what we do in life echoes in eternity."
> >                - Maximus Decimus Meridus
> >
> > On Sun, 20 Oct 2002, Igor Pechtchanski wrote:
> >
> > > On Sun, 20 Oct 2002, Jacob A wrote:
> > >
> > > > Hey there,
> > > >
> > > > I have a real weird problem with running the openssh client
under X. When
> > > > I connect to another machine via ssh, it prompts me for the
password, and
> > > > then the session is terminated just after I am logged in.
> > > >
> > > > unfortunately, I dont have root access on the machine I want to
ssh to, so
> > > > I cant start sshd with -D there.
> > > >
> > > > It works perfectly when I do it without starting X.
> > > >
> > > > Anyone else come across this problem?
> > > >
> > > > I'm not a subscriber to the list, so please reply to me as well
as the
> > > > list if you have any input.
> > > >
> > > > /jay.
> > >
> > > Jay,
> > >
> > > I assume you want X forwarding when you're running X.  If not,
just
> > > turning it off might do the trick.
> > >
> > > Does OpenSSH work if you don't run X but set DISPLAY in your
system
> > > control panel?
> > > Does OpenSSH have a -v flag or a verbose option?  If so, it might
help.
> > > If not, does cygwin's 'ssh -X' work (with and without DISPLAY
set)?
> > > If you can reproduce the problem with cygwin's ssh, use the -v
option for
> > > some additional debug info.
> > >
> > > The following might also be an instructive read:
> > > http://cygwin.com/ml/cygwin-xfree/2002-10/msg00065.html
> > >       Igor
>
> --
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "Water molecules expand as they grow warmer" (C) Popular Science,
Oct'02, p.51
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/